package com.bonus.material.largeScreen.service;

import com.bonus.common.core.web.domain.AjaxResult;

import java.util.List;
import java.util.Map;

public interface ProvinceScreenService {

    /**
     * 装备总量，总价值
     *
     * @return
     */
    Map<String, Object> getTotalEquipment();

    /**
     * 线路装备，变电装备，电缆装备
     *
     * @return
     */
    Map<String, Object> getEquipmentClassification();

    /**
     * 单位装备配置
     *
     * @return
     */
    List<Map<String, Object>> getUnitEquipmentConfiguration();

    /**
     * 装备状态
     *
     * @return
     */
    List<Map<String, Object>> getEquipmentStatus();

    /**
     * 项目装备
     *
     * @return
     */
    Map<String, Object> getProjectEquipment();

    /**
     * 各单位装备在用率情况
     *
     * @return
     */
    List<Map<String, Object>> getDeptEquipment();

    /**
     * 工程在用装备情况
     *
     * @return
     */
    AjaxResult getEquipmentUse(String proCode, String proType);


    List<Map<String, Object>> getEquipmentDetails(String proName);

    /**
     * 装备在用率统计
     *
     * @return
     */
    List<Map<String, Object>> getUsageStatistics(Integer type);

    /**
     * 在库装备数
     *
     * @return
     */
    List<Map<String, Object>> getEquipmentNumber();

    List<Map<String, Object>> getMechanizationRate();

    List<Map<String, Object>> getUsageStatisticsDetails();
}
